resources:
  limits:
    cpu: 500m
    memory: 1024Mi
  requests:
    cpu: 200m
    memory: 512Mi
envVars:
  TYPEORM_DRIVER_EXTRA: '{"ssl": { "rejectUnauthorized": false }}'

ingress:
  enabled: true
  path: /api/
  annotations:
    kubernetes.io/ingress.class: haproxy
    haproxy.org/path-rewrite: /api/(.*) /\1

service:
  targetPort: 3000

probes:
  liveness:
    tcpSocket:
      port: 3000
  readiness:
    tcpSocket:
      port: 3000

jobs:
  hooks:
    postInstall:
      - args: ["./node_modules/typeorm/cli.js", "migration:run"]
    preUpgrade:
      - args: ["./node_modules/typeorm/cli.js", "migration:run"]

monitoring:
  exporter:
    enabled: true
  dashboard:
    deploy: true
